export SF=1
export BLOCK_SIZE=10
export LIST_SIZE=60


if [[ $1"TEST" != "TEST" ]]; then
  export SF=$1
fi

if [[ $2"TEST" != "TEST" ]]; then
  export BLOCK_SIZE=$2
fi

if [[ $3"TEST" != "TEST" ]]; then
  export LIST_SIZE=$3
fi

echo $SF $BLOCK_SIZE $LIST_SIZE

for ALGO in PG SB8 BOTH ; do
  echo;
  echo === now testing $ALGO ===;
  echo;
  for ((i = 1; i <= 3; i += 1)); do
    time ./a.exe $ALGO $SF $BLOCK_SIZE $LIST_SIZE;
    echo;
  done;
done 2>&1 | tee results_${SF}_${BLOCK_SIZE}_${LIST_SIZE}.out

